package com.d2v.web.vo;

public class Word2vecVO {
    private int iteration;
    private int batchSize;
    private int epochs;
    private int layerSize;
    private int windowSize;
    private int minWordFrequency;
    private double minLearningRate;
    private double learningRate;

    public int getIteration() {
        return iteration;
    }
    public void setIteration(int iteration) {
        this.iteration = iteration;
    }
    public int getBatchSize() {
        return batchSize;
    }
    public void setBatchSize(int batchSize) {
        this.batchSize = batchSize;
    }
    public int getEpochs() {
        return epochs;
    }
    public void setEpochs(int epochs) {
        this.epochs = epochs;
    }
    public int getLayerSize() {
        return layerSize;
    }
    public void setLayerSize(int layerSize) {
        this.layerSize = layerSize;
    }
    public int getWindowSize() {
        return windowSize;
    }
    public void setWindowSize(int windowSize) {
        this.windowSize = windowSize;
    }
    public int getMinWordFrequency() {
        return minWordFrequency;
    }
    public void setMinWordFrequency(int minWordFrequency) {
        this.minWordFrequency = minWordFrequency;
    }
    public double getMinLearningRate() {
        return minLearningRate;
    }
    public void setMinLearningRate(double minLearningRate) {
        this.minLearningRate = minLearningRate;
    }
    public double getLearningRate() {
        return learningRate;
    }
    public void setLearningRate(double learningRate) {
        this.learningRate = learningRate;
    }

}
